<!--{assign var="menu_id" value="coupon"}-->
<!--{include file="<!--{$oetplpath}-->block_header.tpl"}-->
<div class="oe_ntop">
  <i class="iconfont" onclick="goBack();">&#xe616;</i>
  <p>优惠券</p>
</div>
<div class="oe_coupon_detail" style="margin-top:10px;">
  <dl>

    <dt><img src="<!--{$coupon.thumbimg}-->" /></dt>

	<dd>
	  <h3>满 ¥<!--{doubleval($coupon.fullamount)}--> 减 ¥<!--{doubleval($coupon.cost)}--> </h3>
	  <p>
	    <!--{$coupon.title}--><br />
		有效时间：[<!--{$coupon.starttime|date_format:"%Y-%m-%d"}-->] 至 [<!--{$coupon.endtime|date_format:"%Y-%m-%d"}-->]<br />
	  </p>
	  <p>
	    已有<i id="tips_salenums"><!--{$coupon.salenums}--></i>人领取，
		还剩 <em id="tips_remains"><!--{($coupon.nums-$coupon.salenums)}--></em> 张
	  </p>
    </dd>

  </dl>
  <div class="oe_coupon_btn">
    <!--{if $coupon.endtime < $time}-->
    <font color="gray">本优惠活动结束</font>
	<!--{else}-->
      <!--{if $coupon.fee > 0}-->
	  <span f="getcoupon">立即购买</span>
	  <!--{else}-->
	  <label f="getcoupon">免费领取</label>
	  <!--{/if}-->
	<!--{/if}-->
  </div>
</div>

<div id="var_coupon_box" class="bottom_box" style="display:none;">
  <div class="bottom_clickbox"></div>
  <div class="bottom_boxcn">
	<!--{if $coupon.fee > 0}-->
	<dl class="text">
      <dt>价格</dt>
      <dd>¥<!--{$coupon.fee}--> （需支付才能成功领取）</font></dd>
    </dl>
	<!--{/if}-->

	<dl class="input">
	  <dt>手机号码</dt>
	  <dd><input type="text" name="getcoupon_mobile" id="getcoupon_mobile" placeholder="请输入手机号码" value="<!--{$login.user.mobile}-->" /></dd>
	</dl>
  
    <div class="bottom_btn">
	  <p id="tips_submit"></p>
      <span class="span_1" f="getcoupon_post">确定领取</span>
    </div>
  </div>
</div>


<script type="text/javascript">
$(function(){
	
	$(".bottom_boxcn").css("bottom",-WIN_HEIGHT+"px");


	//弹出领取
	$("[f='getcoupon']").bind("click", function(){
		$("#var_coupon_box").show();
		$('.bottom_boxcn').animate({bottom: '0px'}, '50');
	});
	
	//取消
	$(".bottom_clickbox").bind("click", function(){
		$('.bottom_boxcn').animate({bottom: -WIN_HEIGHT+'px' }, '300', function(){
			$("#var_coupon_box").hide();
		});
	});
	
	//领取
	$("[f='getcoupon_post']").bind("click", function(){
		$tips_obj = $("#tips_submit");
		$mobile = $("#getcoupon_mobile").val();
		if ($mobile.length == 0) {
			$tips_obj.html("<font color='red'>请填写手机号码</font>");
			return false;
		}
		if (!isMobile($mobile)) {
			$tips_obj.html("<font color='red'>手机号码格式不正确</font>");
			return false;
		}
		$.ajax({
			type: "POST",
			url: WAP_APPFILE,
			cache: false,
			data: {c:"coupon", a:"post", shopid:"<!--{$shop.shopid}-->", id:"<!--{$coupon.coupid}-->", mobile:$mobile, r:get_rndnum(8)},
			dataType: "json",
			success: function($data) {
				$json = eval($data);
				$response = $json.response;
				$result = $json.result;

				if ($response == "1") {
					$_salenums = parseInt($("#tips_salenums").text());
					$_remains = parseInt($("#tips_remains").text());
					$("#tips_salenums").text(($_salenums+1));
					$("#tips_remains").text(($_remains-1));

					$tips_obj.html("<font color='green'>恭喜你，领取成功</font>");
					
					/*
					setTimeout(function(){
						$("#var_coupon_box").slideUp("fast");
					}, 500);
					*/
					setTimeout(function(){
						$('.bottom_boxcn').animate({bottom: -WIN_HEIGHT+'px' }, '300', function(){
							$("#var_coupon_box").hide();
						});
					}, 500)
					
				}
				else if ($response == "2") {
					window.location.href = WAP_APPFILE+"&c=pay&paynum="+$result;
				}
				else {

					if ($result.length > 0) {
						$tips_obj.html("<font color='red'>"+$result+"</font>");
					}
					else {
						$tips_obj.html("<font color='red'>领取失败</font>");
					}
				}

			},
			error: function() {
				$tips_obj.html("<font color='red'>系统繁忙，请稍后再试</font>");
			}
		});
	});

});
</script>
</body>
</html>